## puzzle-master 1.2.0

=== Makefile ===
#############################################################################
# Makefile for building: build/puzzle-master
# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Feb 18 05:25:00 2011
# Project:  puzzle-master.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile puzzle-master.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMOBILE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4 -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		puzzleitem.cpp \
		jigsawpuzzleitem.cpp \
		settingsdialog.cpp \
		imagechooser.cpp \
		highscoresdialog.cpp \
		jigsawpuzzleboard.cpp \
		puzzleboard.cpp build/moc_mainwindow.cpp \
		build/moc_jigsawpuzzleitem.cpp \
		build/moc_settingsdialog.cpp \
		build/moc_imagechooser.cpp \
		build/moc_highscoresdialog.cpp \
		build/moc_jigsawpuzzleboard.cpp \
		build/moc_puzzleboard.cpp \
		build/qrc_resources.cpp
OBJECTS       = build/main.o \
		build/mainwindow.o \
		build/puzzleitem.o \
		build/jigsawpuzzleitem.o \
		build/settingsdialog.o \
		build/imagechooser.o \
		build/highscoresdialog.o \
		build/jigsawpuzzleboard.o \
		build/puzzleboard.o \
		build/moc_mainwindow.o \
		build/moc_jigsawpuzzleitem.o \
		build/moc_settingsdialog.o \
		build/moc_imagechooser.o \
		build/moc_highscoresdialog.o \
		build/moc_jigsawpuzzleboard.o \
		build/moc_puzzleboard.o \
		build/qrc_resources.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
		puzzle-master.pro
QMAKE_TARGET  = puzzle-master
DESTDIR       = build/
TARGET        = build/puzzle-master

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: puzzle-master.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile puzzle-master.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile puzzle-master.pro

dist: 
	@$(CHK_DIR_EXISTS) build/puzzle-master1.2.0 || $(MKDIR) build/puzzle-master1.2.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/puzzle-master1.2.0/ && $(COPY_FILE) --parents mainwindow.h puzzleitem.h jigsawpuzzleitem.h settingsdialog.h imagechooser.h highscoresdialog.h jigsawpuzzleboard.h puzzleboard.h util.h build/puzzle-master1.2.0/ && $(COPY_FILE) --parents resources.qrc build/puzzle-master1.2.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp puzzleitem.cpp jigsawpuzzleitem.cpp settingsdialog.cpp imagechooser.cpp highscoresdialog.cpp jigsawpuzzleboard.cpp puzzleboard.cpp build/puzzle-master1.2.0/ && $(COPY_FILE) --parents mainwindow.ui settingsdialog.ui imagechooser.ui highscoresdialog.ui build/puzzle-master1.2.0/ && (cd `dirname build/puzzle-master1.2.0` && $(TAR) puzzle-master1.2.0.tar puzzle-master1.2.0 && $(COMPRESS) puzzle-master1.2.0.tar) && $(MOVE) `dirname build/puzzle-master1.2.0`/puzzle-master1.2.0.tar.gz . && $(DEL_FILE) -r build/puzzle-master1.2.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp
build/moc_mainwindow.cpp: settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o build/moc_mainwindow.cpp

build/moc_jigsawpuzzleitem.cpp: puzzleitem.h \
		jigsawpuzzleitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) jigsawpuzzleitem.h -o build/moc_jigsawpuzzleitem.cpp

build/moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o build/moc_settingsdialog.cpp

build/moc_imagechooser.cpp: imagechooser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) imagechooser.h -o build/moc_imagechooser.cpp

build/moc_highscoresdialog.cpp: highscoresdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) highscoresdialog.h -o build/moc_highscoresdialog.cpp

build/moc_jigsawpuzzleboard.cpp: puzzleboard.h \
		jigsawpuzzleboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) jigsawpuzzleboard.h -o build/moc_jigsawpuzzleboard.cpp

build/moc_puzzleboard.cpp: puzzleboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) puzzleboard.h -o build/moc_puzzleboard.cpp

compiler_rcc_make_all: build/qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) build/qrc_resources.cpp
build/qrc_resources.cpp: resources.qrc \
		data/Blue_Dock_by_dimage.jpg \
		data/Solar_1920x1200_SunRiseTime.jpg \
		data/icons/about.png \
		data/icons/fullscreen.png \
		data/Bamboo-Zen.jpg \
		data/icons/unpause.png \
		data/about.txt \
		data/icons/play.png \
		data/icons/pause.png \
		data/icons/surrender.png \
		data/West_Wittering_-_All_along_the_Beach_Huts.jpg \
		data/icons/settings.png \
		data/icons/boardcolor.png \
		data/Squirrel.jpg \
		data/icons/help.png \
		data/puzzle-master.png
	/usr/bin/rcc -name resources resources.qrc -o build/qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h
compiler_uic_clean:
	-$(DEL_FILE) build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h
build/ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o build/ui_mainwindow.h

build/ui_settingsdialog.h: settingsdialog.ui
	/usr/bin/uic settingsdialog.ui -o build/ui_settingsdialog.h

build/ui_imagechooser.h: imagechooser.ui
	/usr/bin/uic imagechooser.ui -o build/ui_imagechooser.h

build/ui_highscoresdialog.h: highscoresdialog.ui
	/usr/bin/uic highscoresdialog.ui -o build/ui_highscoresdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

build/main.o: main.cpp mainwindow.h \
		settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/main.o main.cpp

build/mainwindow.o: mainwindow.cpp mainwindow.h \
		settingsdialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		build/ui_mainwindow.h \
		jigsawpuzzleboard.h \
		jigsawpuzzleitem.h \

## puzzle-master 1.0.0

=== debian/changelog ===
puzzle-master (1.0.0) unstable; urgency=low
 
  * A nice and addictive puzzle application
  * Support for desktop operating systems and Maemo
  * On Maemo, the accelerometer is used too

 -- Timur Kristóf <venemo@msn.com>  Fri, 17 Dec 2010 00:17:32 +0200

=== debian/control ===
Source: puzzle-master
Section: user/games
Priority: extra
Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-sensors
Standards-Version: 3.7.3

Package: puzzle-master
Architecture: any
Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors
XB-Maemo-Display-Name: Puzzle Master
Description: A fun and addictive jigsaw puzzle game
 This is a jigsaw puzzle application that lets you use your own
 images (and contains some built-in ones) for generating puzzles.
 You can decide the size and thus the difficulty of the puzzle.
 The puzzle pieces will drift according to your accelerometer.
 This application is licensed under the terms of the
 European Union Public License (EUPL).
 http://www.osor.eu/eupl
XB-Maemo-Upgrade-Description: Wonderful new features!
 Install this upgrade to get your hands on the new features of Puzzle Master!
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAN4AhAAsG2Kl+AAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oMDhIYGaOMSFwAAAjpSURBVGje1Zl7jF1VFcZ/a+197p177zw6dx6d
 6bulL56FCp2KkIBUCH9IoBJiSBMKShWrEIwGEkhECIQA9YEGFAMoBiwmaNAS
 Ia1CQEbRQm0NSHGKfcy0nZl23nPnPs/2j7PvMDb9g3l0RnZyc5OTe87d317f
 Wt+31oFP+DKTuFeBALCAAO6TBECBamAeMAdIAEWgMN1AJgJAgCpg5fpUauMs
 Y9a0F4spD2AIyE8nCDtBALXPzZ79RFMQnA5o68jIh3cfP/4YMAK0+e//2wgE
 d6fTV5+bqNgYIDEr6JIgVpc2Ors1m90LHPUApiUKOpF75ll7lnESqIAgOEKu
 TFWeszoebwHqTxJZ8Qkfm+B/TikAF1ONiyDOudHHxBzmkkTifKDuBAAKpIC5
 wAKf/DqjAFwYDjjnnIjg/PGqCnXG1gGVYwCUq9XKCxLx9UvjwZUeRDCTSVxU
 OBAKRUUCwXmyC83W1jYak+oqlcoaUQ2suDFdc/OmupqN+wr59g37jx4EOqaq
 Wk0oArd0d20NYSgMHSXnEEDUUZDQFZyzQBKYDay6p6nuO5saajZiHI0xUx+I
 LAHSEzy8qRGyIoRXJZPNlTG7Rg04BTXCoCsVXhka+deIcyGw4plFTVtaqpJr
 UFBjCIyapJHYW0PZnUCX144ZUeLw+aGhV6+qTi6sjOk5YgQxQsxIsHMkm7+4
 Krnmrjl1Ny1LxheKOsQIThzGivSXwtKf+oZ3hdAOZCZLo8l4oeLWgaFXWioT
 /Q0xcwmKqbBiLqlOLflMVWJ5fYWtwoCogHGoVVBhYTJIv9qb2X28UNoH9APh
 dOfA2JXfdLDz+aNh+IG1ghilMm5sLCZajgpWEBWiSDjUCpfXp5r84clMJPHY
 e2uqjK6ojukCZ0EsqHFgBLH4DYMECoEyjBvcm8n9/vLZqTrg2GRPn0lUAguk
 DZzx8JKGB6rjWiWekA5BxcMTJcQh6lAR1v+940s9hdKbdy1vKAG9QGm6AQhQ
 ATRUGT377oV1d3yqJnG+E4eIIAKi4ERABNRhRXACz7YP/KGnUPoQ6Ln/g+7s
 TAhZ4C3B/LXViUu/Nm/WradXxk9zONT4DUsEUTTqb0QjjqgKb/Vl3gcGp+LU
 JwIg5k3aii/Pqdlw09xZN8SsmNCBGsUBqg6nPic1iogTwUgI6siFrlAWwukG
 YID6xYngokdWzN6yKGnnhS6qMEYcCBHnRUe578oMUocTg4gjMJr0UdQTCoH1
 USmdMgD3LW9Yd1Ft4vtV1qadhKiCw6EqPln/96M+DyIgDhRCXMp3ctb7IAVq
 /LUhrwmlU1FGXW+h1F0VN2lMiBpFrETCZKJSKQbEENV8KzgjqAH118UIX1w6
 69NAs++fFYh/78KmazefXX+9d6jxU6UDRYzsLwrDJlCcdZEw2UiUMApWERNp
 gPjNY2UUEOq4bF5qJbDMDwJqgPpZSXPZF5ZW3QYs9ZEYty59LCvxl56Rocub
 K2enK+wFxghOfeUxUMIVrUVRQMuREUQjKkVGThEjNKds46sdw50+Cks2n1t/
 S3NV0Px6x1BbV6bUBvSNl0Yf1wuFZ6UrBpZUB9epSEyt8P5gbu+d73R+9d2B
 3I+2H808+9n5lTeIRpRRjWiDiSIT5UnI6emKppXpihXVcXPaY+vm3NZYaevV
 CHOrgobftQ2+CXQCufEK08ddqTeuWNRaHTPnDBVd5vrXD33lwHBhB9ADmJvP
 qLvw1rNqd6CRoDmiShQltoCvWBI10ogCzoEKg4Uw2/KLts3AK8CR8ViM8XAu
 t+PI8O0YYV8m33pguLDHhzwPZLe3D/5jf6bwRzxtIi/k88CAWkGCyCM5n9gE
 ClZIJTT2zbX1V/jcsFOdxKPJ/N093X/LunD3vwdzTxH5+Xy5Uu0fyA8XhQ/L
 VUeM4KygRpAAnJXR66MVzIJYwQaqq+emFlbH1ZwqJS6vzAsdw5976J3ujOfq
 2FCXOnNu12KVQswQjOoBPrnLVFKHigORiEEGCo5SV7bYOpALx92ljRdA+NDO
 zmOe2Sfy1HUMZQ86iRXFmGCsIotEwibqPvJM3kMVQ1fctrf/B3e+fPRRn0/h
 qQRQ9jIn8zM6VCwZjOJMZOTUq7HziR1FIEpeVSFTZOTB1zq/tXV334u+Ry5M
 Vz9w0mctr0+0BDHianSULoYoaUfLnkbcyhZL+afe7rlvMpufKgBlQ5auTuoq
 GxhFQhg9dRD5qHSGOFThxT0DP3v0z92/AronuvmpABD3k7jaxbWxVWc2JdaJ
 dQjR6TNm48hHBnDLa93P/OTNY0944crPREsJoGvnJ+trKkzLof78aT+9ZsEd
 yQqNOyJxKouXqvgODVQcnUOF4Zfe638XGJ6KudBkAMiG89Ir1y2r/LWIGlUX
 9b/+xMX3xBEIR+gio1eTMhU1CbvwUG9hvu+L+ybT3JtJ8SdmMqvmJC6tSugc
 FDCCWoMYCMWBidrJyHZHmhmzqlefV7P6xd397YPZsG+Mmk8/gPe7svnPnz1r
 bmO1vUiNinozV3aiapWsCwtvH8zuCIyElXFTJyJYRTe01F28uyN35GBPbj8w
 MNGObLKDreLm3xx+rAjDaBj1AH5WKkbJFsP8L//a98D1T/7n6xc+tPc6P5xH
 EAKjeuPa2vVGWeAnHTITAMIjfdm+A/3558XqqNtUUXLFsHDvS0e//eDLR570
 4/ReGaOBIo4z5yQWLWtMLJ5JAAD5K3+8757yGAUHmWIp92Tr8fu37uz97ZhS
 6ZwjLFcknFCf0lSFpcZPPZgpACHQv6cj+zjOMVIIc0+39jzwyPaup8duHiih
 ouIgdA7EIarErLrJVKGpAOCA7K727DOFUPsf3t65acv2zp8Tva3Mj/lNoVRy
 BUZfDArHhouDI4XwCJCd6LxoqrxQ6d5th3fdu+3wEn+awyfYAwdkDvW7bYtq
 uaZ8pa0z9+7+4/n3mMRr2al6W+h8f9DnS+LJvE3uG8/tu70v6/aBcLi/0PbC
 rt4fDmZLB8bbB0+0J56KFbt2de28xkqz4J+Hc71vtA0e8oCLnxQA5aib0cSe
 5Kz0v2XbIrIZCMZ8AAAAAElFTkSuQmCC
 ====

## puzzle-master 1.1.0

=== debian/changelog ===
puzzle-master (1.1.0) unstable; urgency=low
 
  * The app now uses the Qt Graphics View framework
  * Hardware graphics acceleration is enabled
  * Fixed bug of the timer stopping when some of the dialogs were open
  * Fixed bug with invalid image files
  * Added drop shadow effect
  * Added setting to the change background of the board
  * Improved settings GUI
  * Improved puzzle board GUI and animations
  * A bigger puzzle piece will try not to cover a smaller one
  * The puzzle board now correctly scales according to window size
  * Enabled automatic screen rotation
  * Ability to set snap difficulty
  * Maximum limit to the size of the puzzle
  * Full screen mode

 -- Timur Kristóf <venemo@msn.com>  Sat, 5 Feb 2011 23:07:56 +0200
 

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqtm-sensors
+Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev | maemo-version (<5.0), libqtm-sensors | maemo-version (<5.0), libhildon-extras1-dev | maemo-version (<5.0)
 Standards-Version: 3.7.3
+Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster
 
 Package: puzzle-master
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors
+Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors | maemo-version (<5.0), libhildon-extras1 | maemo-version (<5.0)
 XB-Maemo-Display-Name: Puzzle Master
 Description: A fun and addictive jigsaw puzzle game
  This is a jigsaw puzzle application that lets you use your own
@@ -19,6 +20,7 @@
  http://www.osor.eu/eupl
 XB-Maemo-Upgrade-Description: Wonderful new features!
  Install this upgrade to get your hands on the new features of Puzzle Master!
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=57049
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAN4AhAAsG2Kl+AAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/puzzle-master.
	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/puzzle-master" install
	cp "$(CURDIR)/build/puzzle-master" "$(CURDIR)/debian/puzzle-master/opt/puzzle-master/"
	cp "$(CURDIR)/data/puzzle-master.desktop" "$(CURDIR)/debian/puzzle-master/usr/share/applications/hildon/"
	cp "$(CURDIR)/data/puzzle-master.png" "$(CURDIR)/debian/puzzle-master/usr/share/pixmaps/"


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## puzzle-master 1.1.1

=== debian/changelog ===
puzzle-master (1.1.1) unstable; urgency=low
 
  * Maemo 4.1 (Diablo) version is now officially supported and working
  * Diablo version comes without animations/dropshadows/accelerometer support, as it has only Qt 4.5

 -- Timur Kristóf <venemo@msn.com>  Sat, 10 Feb 2011 00:38:08 +0200
 

## puzzle-master 1.2.0

=== debian/changelog ===
puzzle-master (1.2.0) unstable; urgency=low
 
  * Fixed a bug with the timer not being reset correctly
  * New user interface (icons from Oxygen)
  * Added ability to manage images
  * The accelerometer works correctly when in portrait mode
  * The screen orienation is fixed when the accelerometer is used in the game
  * Images are scaled in such a way that they won't look ugly after upscaling

 -- Timur Kristóf <venemo@msn.com>  Sat, 18 Feb 2011 04:54:08 +0200
 

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev | maemo-version (<5.0), libqtm-sensors | maemo-version (<5.0), libhildon-extras1-dev | maemo-version (<5.0)
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libqtm-dev | maemo-version (<< 5.0), libqtm-sensors | maemo-version (<< 5.0), libhildon-extras1-dev | maemo-version (<< 5.0)
 Standards-Version: 3.7.3
 Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster
 
 Package: puzzle-master
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui, libqtm-sensors | maemo-version (<5.0), libhildon-extras1 | maemo-version (<5.0)
+Depends: ${shlibs:Depends}
 XB-Maemo-Display-Name: Puzzle Master
 Description: A fun and addictive jigsaw puzzle game
  This is a jigsaw puzzle application that lets you use your own

## puzzle-master 1.2.1

=== debian/changelog ===
puzzle-master (1.2.1) unstable; urgency=low
 
  * Several bug fixes
  * User interface improvements
  * Improved full screen experience
  * Performance improvements

 -- Timur Kristóf <venemo@msn.com>  Sun, 27 Feb 2011 17:15:08 +0200
 

## puzzle-master 1.2.2

=== Makefile ===
#############################################################################
# Makefile for building: build/puzzle-master
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue May 3 01:09:16 2011
# Project:  puzzle-master.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile puzzle-master.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DHAVE_OPENGL -DMOBILE -DHAVE_QACCELEROMETER -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-extras-1 -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtOpenGL -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtSensors -I/targets/FREMANTLE_X86/usr/include -I/usr/X11R6/include -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lhildon-extras-1 -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -L/usr/lib -lQtSensors -lQtMaemo5 -L/usr/X11R6/lib -lQtOpenGL -lQtGui -lQtDBus -lQtXml -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		puzzleitem.cpp \
		jigsawpuzzleitem.cpp \
		settingsdialog.cpp \
		imagechooser.cpp \
		highscoresdialog.cpp \
		jigsawpuzzleboard.cpp \
		puzzleboard.cpp \
		newgamedialog.cpp build/moc_mainwindow.cpp \
		build/moc_jigsawpuzzleitem.cpp \
		build/moc_settingsdialog.cpp \
		build/moc_imagechooser.cpp \
		build/moc_highscoresdialog.cpp \
		build/moc_jigsawpuzzleboard.cpp \
		build/moc_puzzleboard.cpp \
		build/moc_newgamedialog.cpp \
		build/qrc_resources.cpp
OBJECTS       = build/main.o \
		build/mainwindow.o \
		build/puzzleitem.o \
		build/jigsawpuzzleitem.o \
		build/settingsdialog.o \
		build/imagechooser.o \
		build/highscoresdialog.o \
		build/jigsawpuzzleboard.o \
		build/puzzleboard.o \
		build/newgamedialog.o \
		build/moc_mainwindow.o \
		build/moc_jigsawpuzzleitem.o \
		build/moc_settingsdialog.o \
		build/moc_imagechooser.o \
		build/moc_highscoresdialog.o \
		build/moc_jigsawpuzzleboard.o \
		build/moc_puzzleboard.o \
		build/moc_newgamedialog.o \
		build/qrc_resources.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		puzzle-master.pro
QMAKE_TARGET  = puzzle-master
DESTDIR       = build/
TARGET        = build/puzzle-master

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_mainwindow.h build/ui_settingsdialog.h build/ui_imagechooser.h build/ui_highscoresdialog.h build/ui_newgamedialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: puzzle-master.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile puzzle-master.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile puzzle-master.pro

dist: 
	@$(CHK_DIR_EXISTS) build/puzzle-master1.2.2 || $(MKDIR) build/puzzle-master1.2.2 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/puzzle-master1.2.2/ && $(COPY_FILE) --parents mainwindow.h puzzleitem.h jigsawpuzzleitem.h settingsdialog.h imagechooser.h highscoresdialog.h jigsawpuzzleboard.h puzzleboard.h util.h newgamedialog.h build/puzzle-master1.2.2/ && $(COPY_FILE) --parents resources.qrc build/puzzle-master1.2.2/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp puzzleitem.cpp jigsawpuzzleitem.cpp settingsdialog.cpp imagechooser.cpp highscoresdialog.cpp jigsawpuzzleboard.cpp puzzleboard.cpp newgamedialog.cpp build/puzzle-master1.2.2/ && $(COPY_FILE) --parents mainwindow.ui settingsdialog.ui imagechooser.ui highscoresdialog.ui newgamedialog.ui build/puzzle-master1.2.2/ && (cd `dirname build/puzzle-master1.2.2` && $(TAR) puzzle-master1.2.2.tar puzzle-master1.2.2 && $(COMPRESS) puzzle-master1.2.2.tar) && $(MOVE) `dirname build/puzzle-master1.2.2`/puzzle-master1.2.2.tar.gz . && $(DEL_FILE) -r build/puzzle-master1.2.2


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp build/moc_newgamedialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_mainwindow.cpp build/moc_jigsawpuzzleitem.cpp build/moc_settingsdialog.cpp build/moc_imagechooser.cpp build/moc_highscoresdialog.cpp build/moc_jigsawpuzzleboard.cpp build/moc_puzzleboard.cpp build/moc_newgamedialog.cpp
build/moc_mainwindow.cpp: settingsdialog.h \
		newgamedialog.h \
		imagechooser.h \
		highscoresdialog.h \
		puzzleboard.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o build/moc_mainwindow.cpp

build/moc_jigsawpuzzleitem.cpp: puzzleitem.h \
		jigsawpuzzleboard.h \
		puzzleboard.h \
		jigsawpuzzleitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) jigsawpuzzleitem.h -o build/moc_jigsawpuzzleitem.cpp

=== debian/changelog ===
puzzle-master (1.2.2) unstable; urgency=low
 
  * New Game dialog added
  * Ability to start in fullscreen
  * Ability to enable/disable OpenGL
  * Fixed a bug with the timer
  * Symbian is now an officially supported platform

 -- Timur Kristóf <venemo@msn.com>  Sun, 20 Mar 2011 12:59:08 +0200
 

=== debian/control ===
Source: puzzle-master
Section: user/games
Priority: extra
Maintainer: Timur Kristf (Venemo) <venemo@msn.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libqtm-dev | maemo-version (<< 5.0), libqtm-sensors | maemo-version (<< 5.0), libhildon-extras1-dev | maemo-version (<< 5.0)
Standards-Version: 3.7.3
Homepage: http://gitorious.org/colorful-apps/pages/PuzzleMaster

Package: puzzle-master
Architecture: any
Depends: ${shlibs:Depends}
XB-Maemo-Display-Name: Puzzle Master
Description: A fun and addictive jigsaw puzzle game
 This is a jigsaw puzzle application that lets you use your own
 images (and contains some built-in ones) for generating puzzles.
 You can decide the size and thus the difficulty of the puzzle.
 The puzzle pieces will drift according to your accelerometer.
 This application is licensed under the terms of the
 European Union Public License (EUPL).
 http://www.osor.eu/eupl
XB-Maemo-Upgrade-Description: Wonderful new features!
 Install this upgrade to get your hands on the new features of Puzzle Master!
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=57049
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sDGxQJMJihbEsAAA50SURBVGje7VlZjKTXVf7Ovfdfa+mqrp7urp6e
 3ePxbs94y9gmkRWjJMSYCJyHYDAgXiJ4gQgpKDyAIxAGOZGMgAeEBcRBvOBI
 LHGcxcJWjCy8ZLzPeDzj6Znppbq7uqq6ln+/5/AwPcaZJXbsHsUPnJdf9ev+
 9Z/vP98557v3AP9vP1vT594gIgBQAAwA50JrPkpGF7jnTO3e3qjPTO0AUCZQ
 xkXRWT421+q1OwMA2S2/8ct47p++9ZEEQKUt41O3f+GX7t95/ZVfcn1/ikSG
 ca//8olXDv/b8UOvPTX3/CtHAQxIKRbmjxyF9N5P3n7j+BV7vsqOuy1KU0R5
 7orrbq9sbf58dWbyGu373faxuRZEUgDykQMQ7ti6l8aqny8sl4vCSpJkFMep
 RHFC5LnbgsnxO5xSsLj21twcgIuDOBNbtfEOdanAnpegplauuLXKjUHZ2+lq
 Qppl1O0PaDiKEMeJZMRltzZ2S56kh+KVtXmI5BdxP/Bnp3fXbrz6NqdRG0+X
 VvsbgC8tgHhpNZ3YNVsN65U7c860LXIpipziJEEUJzSKIskhFTa6Mjh64r/A
 Mjzn62oAjcr+Kz9Ru3LPF4Pmli+7Y5WbyXEW09bq4maDMO/+ISJCROsLh15/
 HIG+tjRZ/1XlGKUVIfBIPEdRkjElSQSE5i44ZhsKuwwg26CJX5me2N04sO9z
 aqJ2nw6DKxQA8ks3e9fu+orvAMvPvfEkgPXNotSPReCBBx5AdWdT+nOL3WwY
 ndDlwGNFO5glIGJytCBwtASugedqx/OdxfUTS4c3nN86e+f+T9eu2vXFUrPx
 W27oNTUJFESMBvmh13Qq/l4mzMetzgKA7IJF/MNSKO0NMXvnjbx66Ohq98TS
 q6rkL4kwF9aG0KgCIBGQcRScsr8nmG40avtmb24e2HdvZWbi191a6SAIjgJE
 KwAQgogQABM4TafqXy6E+WS5Nw8g/7CRuGCX7c8t4ZaHfo8XHn+mNzyx+FLU
 ar+gXfdNyYqO57szTCgVRQFy9ZhTCW91q6WDTiW8Trm6RgrQisQxRForMlqB
 SIhIABFo32mWG5WrHd85OZhfO0laWYjIZjWy86y+dxu6b50mAC6A3Xf97uf+
 ptqc+LiF1WleSJzllFkGWwYEcvY/lSIQAZoIIiKWLSyDsiRPiW2KrHh12Or8
 6VvfeeHJjUh8+CS+kHWOngKdEUj+DXff9vHpHVM7vcBXli1EmFgKFCywzMjy
 nPLCQixg5Qw3FAAWBoui/vL6y4NT7W/ZvDhVGq/4Ns07m1qFLhQhInIA7Pi5
 377n/qk9zfsQ+DsLKAJIjCaCcuEyg8Ui8FxoRXC1AYOR5fmZFGChPM9k7eUT
 /3L8uy98A0AXgAVAILL44Aw6H0B9uoZuq3eWMo1b7rn1k3sOXH6fW6ketGSq
 nAugrLjGEItAWKBEnUko0iAALApaafjmTIr5noHNstwDzQNY165JbG5xxnHZ
 nAhMzI6jPd/R3VbPBTB56y/edOfuA5fdG9ZKN7q+NwlSyhYFLJMIiLQIoADL
 AhYBCFBCUEQQBiwzSCkQKbAQ/KDsjo1PTAPwbFbE73j+IbuBKdVCjHoR2vMd
 H8DkzXff8Auz12z7QlgNr3Z9t2YMabYZCBCjNYxSZBnQ2kKRQg5CxoKcBUwE
 zQSlCEqrM6AgKFikszZHXTr16eqO8Af9k9EAQHGuM9f8WhWvfbMPAPCqCmmf
 318VCiq+e+2dVx3ccd22Pw/L3jWOMSUipVJmWIY4jobRRForKDpLFwUrFiAD
 xziwrBBlgoyBtN/D4pHX0O+ugC1DeySFSQnMWH09/v32seyfAawBONdD5TfM
 mHLVWLSULfsVJMngJ8fIAEA8SGTU61tN8Q6luWKtAwaJKILjatKwIBDEEjIG
 lCZox4ESQTTsI9U5jGKkcR9rgz66q6sYxT1QxcIoASyT70K0o8m7SX05T9Xb
 66f5aQCDsyBIA2Khx5pyW1jnP+wZPNw9jce9CuL0J4A4mwPF0edOHU7ila80
 ZvEQoCfcsofSmCZjXCjtQLkGnueLIUKaDIh0iigawcaQKE2IXAIZBthCFQQS
 gAcKEjMcR8GpK4hiMDA9db152Ob5l4Yt+SGAPoBCLACgVHR4p/bVHfUZUydj
 qXNCHnc8RHl6YRDvdGIubNZtpfODk9n8cC67vXc6DVtvDqX1yjqtvLou6ysj
 9Do9aq90KB4OR8UwSRGRp0xOFc+BUVYoJ1IMGBg4vgDEsOuCrKeQrIOKTEnW
 Y5KB1PxQPuWG5Iy6srzhR9m42Dc2Q7/pVuhyTTTpGFwBKwtRH6eUQn6haksX
 ANSo+urzgaO+CsY4wEICIkUoXPrvUc5/l8R8FIB1DKZrW7zPbLnM3Edsq8hJ
 SIPcmgvy5AzViJBmBYgVBAqkIHGSkECEWZANeKVYo0NWW+sYXOl6ejeYIUIA
 AUXCr3aX+E96a/g+gHOl+3laSAAkaSFvK0M946qblSCEAFbojWHEfxwn8n1h
 nBbGsi0wN+rb/+ks5E+6hd5pE9lpcyBLIZwxUaHBQwWJDUa9AjYVxMOcioEg
 i0HEgCFVVgqXGcHluqA6RiSSA5QIqYJEG5ryAnUVCebiWBY3pPvFxZzWEBGk
 WS7HggmVTOxz9ldmnSC1+Nduxz4GoL1RAu3GNWLGymjEhzxP7XJCvUcbRdFC
 IVnbUpowsqRAtlKgGBVApuB6Gg4UHJ+IlIDtGdGqmKAskQaINAEGZMok1ZKa
 qjfUVdrBW/2uLL67BJ8HQP6vvSRRn9/YepnmyrjMMttH2wvyggZyOT9qOTN6
 cOmkH+iP8bBoVJuGxrY7cHxGZdxgbKuBcoE8FfgOwWFApxZlz0W5ojAxQ9jS
 JEzuUpjaq9G8TKO512B6j0Z9KzC+Q02XxtQWMJ7prnL3LJXofcjt+pataloE
 q+1FXr1A7X6nhgOo793n3r/vGv/rYY1QqgFJKhiOCBoWvmMxigKMTQJgCzEW
 WjGiAZDFAqUNghKQx4w8h2Rg5MyUpIAU1O+v8INzrxePDDq8ehbAe4k5C2Bt
 dYHXAGD7FVpOHbEXW8sA1sOq+7wxpR8hcQ70Fgu0VodglUEHAiLBzhmDvJeh
 tZRhmAF+QGAr6K8BbiVDOTSgQkm3l8CrESkWzgscXV6wDy0e4X8H0B2bULLe
 5otvaC5m6+33Fi7rw0zrkr3GL/N1nYUEnVYB12cYKJRDQs2voOR5aK9EiIcC
 3xN4ngY5FgF5yLoi0BbGFSKSYtjD946/ZP+os8jf2+gZNo3k/e8HfkqTbIg8
 G+TDUZ/hlBWaVYXMAsOhxexEBbfvvx61oAIb/RBH3urAVQIuchhj4FoI1Swk
 EEKiivZS8dip48WDyQCH/ZCyJDq/E6jNPqap1d2GX3Z3FiAUECTCEBGEoSDw
 FMr+GCqlBvY2d2BiQkG5gmFMkEQwsingCSWpFKOoeKJ1svhaMsBrB+4y6YWc
 /1AAtHmHgg4AH0AFwM7LrtKf3b3LOdic1AgNASMg7xOygUanN0K7twwyDuAw
 dsw2UHMNSuIgbwOUgUJXwcnp0OEXiq/1u3h52+VU/OgHxQffUl40uwtAuwj3
 36o/6yqqx7GEfqivbjT5M4xkTDIl5RDklxlZoVD0gVB7WJk/DY+BWjXAeGU3
 PM4RSIIVIph6DhGwpKqVjXAaAJ8++gFOJX6KKIRbt6t7K476g0ZD31MrqwOu
 QVmsiLVChQisAJ4m+Fpjtl5HCQYT5TLqYQ1kLaLRCGvr6+jHDKMEShEpwthE
 WWsB9QZD7m9UQ9lUANoANoddmJPDVUdN1CfVAUBUMhIpcqKiAJIMiBOGBqPu
 OJgIAjS3NLB7+w74ritGiHrrbSytDcAEgBjlMRI3RMXx6cbAVfu2zaqm4yDr
 9qQHIN82ZdAf8YcHIAwQgQHEywN+vTZOngnUgUygUoZQoSiPAEUKoaMwUwmx
 pRpi19btqFVqErgORVEav3r05HffWhg81e/LWn3M2eZpMknMkmZwXMau2pgc
 rPh0rRGNtb7M90ccV6uQNN0ECr3TwCxGiwt8pDGuvQDqgLGkXA1xASprQrPk
 4orZJpqNCSl5DkLPpU532HrujdZfPfzNY3999O30P9d7fGjbpO/NTJkb1nuW
 Aq0kDEGuA+M4tG2iSTdNTSNdWuJjUYToLKU2a/5lRTDote3Rklaek6oDngKF
 vsh4aGjPZBX10JNGrY7xSoVa7dHhp19c+Ms/+/vnH80Le0oRDdNc2mHA3dkt
 zsF61TRK40zhGMO4ECaB9qhcHVP7HYdOt1f5bctINhMAALJZgX57jY95hnzJ
 cEOaEMEhmW648AyTr0ELK/GzTzx7+sG/feyN/wDQwZkzMACwgz4X03W3OTvt
 3RLluUCEpCAqUsJwQNBKh+XA7G13+enhUFYB2M2dQBKsFfT6kT1WLZuS0XTD
 YCBU8plK44xTrdG3n3im9RePPd16akMW/JgwzC3s3t1ObXaG7mZrtRhCoRVs
 pEmLwNGgellPFHExt9bll3OL5BKMUMlaxnohOL51q1O9ao9/bTlQOLGU/MOT
 L/a//uyryYsARr/yiWk5fHL4zlOlgJAX4FIAeBqXk9W7R5FIGlvyLTDoCtlU
 ZG2ZaWVF+t2RPJlbDC/VDNjGqXRF0ZvZ0K4vLuffeeFI9sjxU3wEQAwA73Ye
 APIzzVaWVjnSAg6UvsMrTJjFkO6IMRoR9ZaBxZalKJMTw1S+nVsMLuUQ2/bW
 bXdppXjp7RX7/GAkS+duB8+1T33Mw/F5my+t8dJEye9eu722f6YalE/O5xTl
 jJmyoTFDGGTyj2sjftYy4ks9hbcWiDa+un2vxcfnLcYrkDhDvNgtjttcDrWX
 cxtFdrKwXLZAJy3sI6e79tFeLMsALOEjaIGrEGesFBBUPd0ghS0MCbRGzCyt
 fixtls2feG6q/c7ByXcrZmfjtNy5BFuAn639LwGxeNXP2NAKAAAAAElFTkSu
 QmCC
 ====

=== debian/rules ===
--- 
+++ 
@@ -50,10 +50,6 @@
 
 	# Add here commands to install the package into debian/puzzle-master.
 	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/puzzle-master" install
-	cp "$(CURDIR)/build/puzzle-master" "$(CURDIR)/debian/puzzle-master/opt/puzzle-master/"
-	cp "$(CURDIR)/data/puzzle-master.desktop" "$(CURDIR)/debian/puzzle-master/usr/share/applications/hildon/"
-	cp "$(CURDIR)/data/puzzle-master.png" "$(CURDIR)/debian/puzzle-master/usr/share/pixmaps/"
-
 
 # Build architecture-independent files here.
 binary-indep: build install
